from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class ClickAction(IntEnum):
    NONE = auto()
    PREVPAGE = auto()
    NEXTPAGE = auto()
    FIRSTPAGE = auto()
    LASTPAGE = auto()
    BOOKMARK = auto()
    DOCUMENT = auto()
    INVISIBLE = auto()
    SOUND = auto()
    VERB = auto()
    VANISH = auto()
    PROGRAM = auto()
    MACRO = auto()
    STOPPRESENTATION = auto()
